| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd_tune_request_t Struct Reference

Instructs implementation how to tune the RF chain. More...

`#include <uhd/types/tune_request.h>`

## Detailed Description

Instructs implementation how to tune the RF chain.

See uhd::tune_request_t for more details.

## Public Attributes
double | target_freq
| Target frequency for RF chain in Hz.
uhd_tune_request_policy_t | rf_freq_policy
| RF frequency policy.
double | rf_freq
| RF frequency in Hz.
uhd_tune_request_policy_t | dsp_freq_policy
| DSP frequency policy.
double | dsp_freq
| DSP frequency in Hz.
char * | args
| Key-value pairs delimited by commas.

## Member Data Documentation

## ◆ args

char* uhd_tune_request_t::args

Key-value pairs delimited by commas.

## ◆ dsp_freq

double uhd_tune_request_t::dsp_freq

DSP frequency in Hz.

## ◆ dsp_freq_policy

uhd_tune_request_policy_t uhd_tune_request_t::dsp_freq_policy

DSP frequency policy.

## ◆ rf_freq

double uhd_tune_request_t::rf_freq

RF frequency in Hz.

## ◆ rf_freq_policy

uhd_tune_request_policy_t uhd_tune_request_t::rf_freq_policy

RF frequency policy.

## ◆ target_freq

double uhd_tune_request_t::target_freq

Target frequency for RF chain in Hz.

The documentation for this struct was generated from the following file:

- tune_request.h